public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Zac Medico" <zmedico@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-go/go-protobuf/
Date: Sun,  7 Oct 2018 21:36:47 +0000 (UTC)	[thread overview]
Message-ID: <1538948148.7eb8b449936f88a6a1a8641badcc1f520a8b8e32.zmedico@gentoo> (raw)

commit:     7eb8b449936f88a6a1a8641badcc1f520a8b8e32
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Sun Oct  7 21:20:03 2018 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Sun Oct  7 21:35:48 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7eb8b449

dev-go/go-protobuf: fix unit tests (bug 623474)

Closes: https://bugs.gentoo.org/623474
Package-Manager: Portage-2.3.50, Repoman-2.3.11
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 dev-go/go-protobuf/Manifest                 |  2 ++
 dev-go/go-protobuf/go-protobuf-1.2.0.ebuild | 21 ++++++++++++++++++++-
 2 files changed, 22 insertions(+), 1 deletion(-)

diff --git a/dev-go/go-protobuf/Manifest b/dev-go/go-protobuf/Manifest
index a2e22f93ba8..a3cf755dde1 100644
--- a/dev-go/go-protobuf/Manifest
+++ b/dev-go/go-protobuf/Manifest
@@ -1,3 +1,5 @@
+DIST github.com-golang-net-aaf60122140d3fcf75376d319f0554393160eb50.tar.gz 965206 BLAKE2B 018ab877bfa7208bb0ca9b4ede85077ed37c8ee3c7065569646e6c9704715d6810b0286276ea0fa9a271f12ffbe964b41f55ec762711c8a43ccea564607f3265 SHA512 d56f5608e64e8d883a782f0c460f08da20e7d01a97330fad35c8757420ac82fb84b657c3f64e3c4d90a08cc4d8905ab37225d6fab8472e8f1fd3d7be212df8b9
+DIST github.com-golang-sync-1d60e4601c6fd243af51cc01ddf169918a5407ca.tar.gz 16326 BLAKE2B d214c190a03006b726b4e5daa8320aa2f664572db46ac6a57545ccd3e98529c63fd5d9296e2afe0af0b781fcced4af52127d8079e72d116e0310688465e1882e SHA512 dc67de045513305edb3239b412b9154b44b6f408eace3cbbcf400c08d68322cec7090b9e6b22d63bcfaaec459e221d0e3f2c057aa19ae9b35a4a134dd72475c5
 DIST github.com-google-go-genproto-af9cb2a35e7f169ec875002c1829c9b315cddc04.tar.gz 2323831 BLAKE2B a614c74b60f8e347b47c8686807228ea76b021a918fc732b69293c8b59c1bc5396e320cbce6db87ab43b9a4fd649d19779874934bdd667f7cabf03165439c54a SHA512 a6524f31e8c4775195c245ffbe54c7f770591d46663ea86b8120ffd8efb3cf9269569fbf457b0d0272dc47177ccf3b413e858c2b437ee9892b5ac6698d07ed4d
 DIST go-protobuf-0_pre20150809.tar.gz 151982 BLAKE2B dc7722108d09f94395c204a3adb8cce46978daa73319012964863536e8e4d3eaaff1878097dab0a96cc94ebc66c1b2f8cc0f49e931c104392bd7d083f2f1af8f SHA512 04802b8d74ccaa17f9fc030badd0e74b6e47233ca5f1faab7c49f25bef2f06efd97aa4bf3f4783a7815958354744ddb9fee96d183aebbb03864069b0cc569564
 DIST go-protobuf-0_pre20160216.tar.gz 198638 BLAKE2B 21b1780d9e792263eaa1babbefff855fc506177b56d907650968ae96e13c6624982511cbeb3b2bf002ad724ab454e4450f6d7649b55297fb2756b528f9789283 SHA512 d7f446ce7b3f78d646abccdbcb92c423fcca99a51275b55f2a357b5e44c2a6b6d7ea59a39b654daa36e59aa39d3b094ed3fb3d6f53c789a4396fceaecbd5ace5

diff --git a/dev-go/go-protobuf/go-protobuf-1.2.0.ebuild b/dev-go/go-protobuf/go-protobuf-1.2.0.ebuild
index 00647dff876..06fee922c86 100644
--- a/dev-go/go-protobuf/go-protobuf-1.2.0.ebuild
+++ b/dev-go/go-protobuf/go-protobuf-1.2.0.ebuild
@@ -7,6 +7,8 @@ EGO_SRC="github.com/golang/protobuf"
 EGO_PN=${EGO_SRC}/...
 EGO_VENDOR=(
 	"google.golang.org/genproto af9cb2a35e7f169ec875002c1829c9b315cddc04 github.com/google/go-genproto"
+	"golang.org/x/net aaf60122140d3fcf75376d319f0554393160eb50 github.com/golang/net"
+	"golang.org/x/sync 1d60e4601c6fd243af51cc01ddf169918a5407ca github.com/golang/sync"
 )
 
 inherit golang-build golang-vcs-snapshot
@@ -22,9 +24,26 @@ IUSE=""
 DEPEND=""
 RDEPEND=""
 
+src_prepare() {
+	default
+	# golden_test.go:113: golden file differs: deprecated/deprecated.pb.go
+	sed -e 's:^\(func \)\(TestGolden\):\1_\2:' \
+		-i src/${EGO_SRC}/protoc-gen-go/golden_test.go || die
+}
+
+src_compile() {
+	env GOPATH="${S}" \
+		go install -v -work -x ${EGO_BUILD_FLAGS} "${EGO_PN}" || die
+}
+
+src_test() {
+	GOPATH="${S}" \
+		go test -v -work -x "${EGO_PN}" || die
+}
+
 src_install() {
 	rm -rf src/${EGO_SRC}/.git* || die
-	golang-build_src_install
+	golang_install_pkgs
 	rm -rf "${D%/}$(get_golibdir_gopath)/src/${EGO_SRC}/vendor" || die
 
 	dobin bin/*


             reply	other threads:[~2018-10-07 21:36 UTC|newest]

Thread overview: 12+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-10-07 21:36 Zac Medico [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-06-12 19:59 [gentoo-commits] repo/gentoo:master commit in: dev-go/go-protobuf/ William Hubbs
2019-10-03  0:55 Zac Medico
2019-06-05 18:43 Zac Medico
2019-06-05 18:18 Zac Medico
2018-10-07 21:40 Zac Medico
2018-10-07 21:40 Zac Medico
2018-10-07 21:36 Zac Medico
2018-04-13  9:53 Zac Medico
2016-02-20 22:40 Zac Medico
2015-08-10 23:30 William Hubbs
2015-08-10 22:37 Zac Medico

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1538948148.7eb8b449936f88a6a1a8641badcc1f520a8b8e32.zmedico@gentoo \
    --to=zmedico@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox